require "digsolab_auth_client/version"
require "encryption"

module DigsolabAuthClient
#redefining devise helpers with help from rubycas-client(crossauth)                        
  def authenticate_user!
    CASClient::Frameworks::Rails::Filter.filter(self)
  end

  def signed_in?
    session[:cas_user].present?
  end

  def current_user
    user_signed_in? ? @current_user : Guest.new
  end
end
